# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           trac-doxygen-plugin
Version:        0.11.0.2
Release:        1%{?dist}
Summary:        Trac plugin to integrate Doxygen-generated documentation

Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/DoxygenPlugin
# Source comes from SVN right now: svn co -r %{svnrev} http://trac-hacks.org/svn/doxygenplugin; \
#                                  cd doxygenplugin/0.11; \
#                                  python setup.py sdist --formats gztar
# The above has to be done on EL5 due to regressions in setuptools
Source0:        TracDoxygen-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac >= 0.11, python-setuptools

%description
This plugin embeds one or multiple doxygen-generated documentation(s) within
Trac, in order to have consistent look and feel, and easy referencing to
doxygen pages using the usual TracLinks

%prep
%setup -n TracDoxygen-%{version} -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT


 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Sun Aug 09 2009 Tim Niemueller <tim@niemueller.de> - 0.11.0.2
- Initial revision

